curl --request POST \ --url https://api.apimart.ai/v1/videos/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "gemini-omni-flash-preview", "prompt": "a red apple on a wooden table, short cinematic clip", "aspect_ratio": "16:9" }'
import requestsurl = "https://api.apimart.ai/v1/videos/generations"payload = { "model": "gemini-omni-flash-preview", "prompt": "a red apple on a wooden table, short cinematic clip", "aspect_ratio": "16:9"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";const payload = { model: "gemini-omni-flash-preview", prompt: "a red apple on a wooden table, short cinematic clip", aspect_ratio: "16:9"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error("Error:", error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://api.apimart.ai/v1/videos/generations" payload := map[string]interface{}{ "model": "gemini-omni-flash-preview", "prompt": "a red apple on a wooden table, short cinematic clip", "aspect_ratio": "16:9", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
curl --request POST \ --url https://api.apimart.ai/v1/videos/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "gemini-omni-flash-preview", "prompt": "a red apple on a wooden table, short cinematic clip", "aspect_ratio": "16:9" }'
import requestsurl = "https://api.apimart.ai/v1/videos/generations"payload = { "model": "gemini-omni-flash-preview", "prompt": "a red apple on a wooden table, short cinematic clip", "aspect_ratio": "16:9"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";const payload = { model: "gemini-omni-flash-preview", prompt: "a red apple on a wooden table, short cinematic clip", aspect_ratio: "16:9"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error("Error:", error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://api.apimart.ai/v1/videos/generations" payload := map[string]interface{}{ "model": "gemini-omni-flash-preview", "prompt": "a red apple on a wooden table, short cinematic clip", "aspect_ratio": "16:9", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
curl --request POST \ --url https://api.apimart.ai/v1/videos/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "gemini-omni-flash-preview", "prompt": "a red apple on a wooden table, short cinematic clip", "aspect_ratio": "16:9" }'
import requestsurl = "https://api.apimart.ai/v1/videos/generations"payload = { "model": "gemini-omni-flash-preview", "prompt": "a red apple on a wooden table, short cinematic clip", "aspect_ratio": "16:9"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";const payload = { model: "gemini-omni-flash-preview", prompt: "a red apple on a wooden table, short cinematic clip", aspect_ratio: "16:9"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error("Error:", error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://api.apimart.ai/v1/videos/generations" payload := map[string]interface{}{ "model": "gemini-omni-flash-preview", "prompt": "a red apple on a wooden table, short cinematic clip", "aspect_ratio": "16:9", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
{ "model": "gemini-omni-flash-preview", "prompt": "a blue butterfly landing on a flower, macro, soft light", "aspect_ratio": "9:16"}
场景 2:图生视频
{ "model": "gemini-omni-flash-preview", "prompt": "turn this drawing into realistic footage, use it only as a motion guide", "image_urls": ["https://example.com/sketch.jpg"]}
场景 3:视频生视频
{ "model": "gemini-omni-flash-preview", "prompt": "when the person touches the mirror, make it ripple like liquid", "video_urls": ["https://example.com/clip.mp4"]}